unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdActns, ActnList, MCoPRecentMenu, Menus, ComCtrls, ToolWin,
  ImgList, ExtCtrls, ShellApi, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    Open1: TMenuItem;
    ImageList1: TImageList;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ImageList2: TImageList;
    PopupMenu1: TPopupMenu;
    ActionList1: TActionList;
    FileOpen1: TFileOpen;
    FileExit1: TFileExit;
    Image1: TImage;
    StatusBar1: TStatusBar;
    RecentMenu1: TRecentMenu;
    Label1: TLabel;
    ToolButton3: TToolButton;
    ListBox1: TListBox;
    procedure FileOpen1Accept(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RecentMenu1Click(Sender: TMenuItem; FileName: TFileName);
    procedure Label1Click(Sender: TObject);
    procedure RecentMenu1CreateItem(Sender: TRecentMenu; Item: TMenuItem;
      FileName: TFileName);
    procedure RecentMenu1DestroyItem(Sender: TRecentMenu; Item: TMenuItem;
      FileName: TFileName);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FileOpen1Accept(Sender: TObject);
begin
Image1.Picture.LoadFromFile(FileOpen1.Dialog.FileName);
RecentMenu1.AddFile(FileOpen1.Dialog.FileName);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
RecentMenu1.MakeRecentMenus;
end;

procedure TForm1.RecentMenu1Click(Sender: TMenuItem; FileName: TFileName);
begin
ListBox1.Items.Add(format('Item Clicked:%d',[Sender.Handle]));
Image1.Picture.LoadFromFile(FileName);
RecentMenu1.AddFile(FileName);
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
ShellExecute(Handle,'Open','http://www.dihav.com/','','',SW_SHOW);
end;

procedure TForm1.RecentMenu1CreateItem(Sender: TRecentMenu;
  Item: TMenuItem; FileName: TFileName);
begin
ListBox1.Items.Add(format('Item Created:%d',[Item.Handle]));
end;

procedure TForm1.RecentMenu1DestroyItem(Sender: TRecentMenu;
  Item: TMenuItem; FileName: TFileName);
begin
ListBox1.Items.Add(format('Item Destroyed:%d',[Item.Handle]));
end;

end.
